title: |
  Deploying and Scaling Microservices
  with Docker and Kubernetes

chat: "[Slack](https://dockercommunity.slack.com/messages/C7GKACWDV)"
#chat: "[Gitter](https://gitter.im/jpetazzo/workshop-yyyymmdd-city)"


gitrepo: github.com/jpetazzo/container.training

slides: http://container.training/

#slidenumberprefix: "#SomeHashTag &mdash; "

exclude:
- in-person

content:
- shared/title.md
#- logistics.md
- k8s/intro.md
- shared/about-slides.md
#- shared/chat-room-im.md
#- shared/chat-room-slack.md
#- shared/chat-room-zoom-meeting.md
#- shared/chat-room-zoom-webinar.md
- shared/toc.md
-
  - shared/prereqs.md
  #- shared/webssh.md
  - shared/connecting.md
  - k8s/versions-k8s.md
  - shared/sampleapp.md
  #- shared/composescale.md
  #- shared/hastyconclusions.md
  - shared/composedown.md
  - k8s/concepts-k8s.md
-
  - k8s/kubectlget.md
  - k8s/kubectl-run.md
  - k8s/batch-jobs.md
  - k8s/labels-annotations.md
  - k8s/kubectl-logs.md
  - k8s/logs-cli.md
  - shared/declarative.md
  - k8s/declarative.md
  - k8s/deploymentslideshow.md
-
  - k8s/kubenet.md
  - k8s/kubectlexpose.md
  - k8s/shippingimages.md
  - k8s/buildshiprun-selfhosted.md
  - k8s/buildshiprun-dockerhub.md
  - k8s/ourapponkube.md
  #- k8s/exercise-wordsmith.md
  - k8s/yamldeploy.md
-
  - k8s/setup-overview.md
  - k8s/setup-devel.md
  - k8s/setup-managed.md
  - k8s/setup-selfhosted.md
  - k8s/dashboard.md
  - k8s/k9s.md
  - k8s/tilt.md
  #- k8s/kubectlscale.md
  - k8s/scalingdockercoins.md
  - shared/hastyconclusions.md
  - k8s/daemonset.md
  - k8s/authoring-yaml.md
  #- k8s/exercise-yaml.md
-
  - k8s/rollout.md
  - k8s/healthchecks.md
  - k8s/healthchecks-more.md
  - k8s/record.md
-
  - k8s/namespaces.md
  - k8s/localkubeconfig.md
  #- k8s/access-eks-cluster.md
  - k8s/accessinternal.md
  - k8s/kubectlproxy.md
-
  - k8s/ingress.md
  - k8s/ingress-tls.md
  - k8s/cert-manager.md
  - k8s/kustomize.md
  - k8s/helm-intro.md
  - k8s/helm-chart-format.md
  - k8s/helm-create-basic-chart.md
  - k8s/helm-create-better-chart.md
  - k8s/helm-dependencies.md
  - k8s/helm-values-schema-validation.md
  - k8s/helm-secrets.md
  #- k8s/exercise-helm.md
  - k8s/gitlab.md
-
  - k8s/netpol.md
  - k8s/authn-authz.md
  - k8s/podsecuritypolicy.md
  - k8s/user-cert.md
  - k8s/csr-api.md
  - k8s/openid-connect.md
  - k8s/control-plane-auth.md
-
  - k8s/volumes.md
  #- k8s/exercise-configmap.md
  - k8s/build-with-docker.md
  - k8s/build-with-kaniko.md
-
  - k8s/configuration.md
  - k8s/secrets.md
  - k8s/statefulsets.md
  - k8s/local-persistent-volumes.md
  - k8s/portworx.md
  - k8s/openebs.md
-
  - k8s/logs-centralized.md
  - k8s/prometheus.md
  - k8s/prometheus-stack.md
  - k8s/resource-limits.md
  - k8s/metrics-server.md
  - k8s/cluster-sizing.md
  - k8s/horizontal-pod-autoscaler.md
  - k8s/hpa-v2.md
-
  - k8s/extending-api.md
  - k8s/apiserver-deepdive.md
  - k8s/crd.md
  - k8s/aggregation-layer.md
  - k8s/admission.md
  - k8s/operators.md
  - k8s/operators-design.md
  - k8s/kubebuilder.md
  - k8s/sealed-secrets.md
  #- k8s/exercise-sealed-secrets.md
  - k8s/kyverno.md
  - k8s/eck.md
  - k8s/finalizers.md
  - k8s/owners-and-dependents.md
  - k8s/events.md
-
  - k8s/dmuc.md
  - k8s/multinode.md
  - k8s/cni.md
  - k8s/cni-internals.md
  - k8s/apilb.md
  - k8s/staticpods.md
-
  - k8s/cluster-upgrade.md
  - k8s/cluster-backup.md
  - k8s/cloud-controller-manager.md
  - k8s/gitworkflows.md
-
  - k8s/lastwords.md
  - k8s/links.md
  - shared/thankyou.md
